Bug 67425 - Internal compiler error with 2.4.18 and abi
Internal compiler error with 2.4.18 and abi
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-24 17:55 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-13 07:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-24 17:55:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
When compiling vanilla 2.4.18 kernel, patched with linux-abi-2.4.18.0.patch, 
make fails

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. patch kernel with linux-abi-2.4.18.0.patch
2. build with binary compatibility support 
3.
	

Actual Results:  make -C svr4 modules
make[2]: Entering directory `/usr/src/linux/abi/svr4'
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-
trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -pipe -
mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -
include /usr/src/linux/include/linux/modversions.h  -DKBUILD_BASENAME=sysi86  -
c -o sysi86.o sysi86.c
sysi86.c: In function `svr4_sysi86':
sysi86.c:132: warning: dereferencing `void *' pointer
sysi86.c:132: warning: dereferencing `void *' pointer
sysi86.c:132: warning: dereferencing `void *' pointer
sysi86.c:132: warning: dereferencing `void *' pointer
sysi86.c:132: warning: dereferencing `void *' pointer
sysi86.c:132: Internal compiler error in emit_move_insn_1, at expr.c:2830
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [sysi86.o] Error 1
make[2]: Leaving directory `/usr/src/linux/abi/svr4'
make[1]: *** [_modsubdir_svr4] Error 2
make[1]: Leaving directory `/usr/src/linux/abi'
make: *** [_mod_abi] Error 2

Additional info:

result error shown is when building as module, however I couldnt build it 
directly in either.
Comment 1 giulioo 2003-07-13 07:31:19 EDT
Solution is casting arg1 to u_long. I attach the UnitedLinux patch, which is the
same used in latest linux-abi patches.

--- linux-2.4.18.tmp/abi/svr4/sysi86.c  Mon Apr 29 14:57:04 2002
+++ linux-2.4.18.SuSE/abi/svr4/sysi86.c Mon Apr 29 14:57:19 2002
@@ -7,6 +7,7 @@
 
 #include <linux/sched.h>
 #include <linux/kernel.h>
+#include <linux/mm.h>
 #include <linux/ptrace.h>
 #include <linux/syscall.h>
 #include <asm/uaccess.h>
@@ -129,7 +130,7 @@
                 * least. For now let's lie...
                 * (actually SCO Unix 3.4 gives me -1...)
                 */
-               return put_user(FP_387, arg1);
+               return put_user(FP_387, (unsigned long *)arg1);
        case STIME:
                /*
                 * Set the system time. The argument is a long,

Note You need to log in before you can comment on or make changes to this bug.